using System;

namespace MileageTraker.Web.Attributes
{
	[AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
	public class InputSizeAttribute : Attribute
	{
		public string Size { get; private set; }

		public string ClassName { get { return "input-" + Size.ToLower(); } }

		/// <summary>
		/// Specify width of input element
		/// </summary>
		/// <param name="size">mini, small, medium, large, xlarge, xxlarge</param>
		public InputSizeAttribute(string size)
		{
			Size = size;
		}
	}
}